Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.data
Class AbleGenericField

    java.lang.Object
      com.ibm.able.data.AbleLhs
          com.ibm.able.data.AbleVariable
              com.ibm.able.data.AbleTypedVariable
                  com.ibm.able.data.AbleGenericVariable
                      com.ibm.able.data.AbleGenericField

All Implemented Interfaces:
  AbleClearable, AbleField, AbleRd, AbleWr, java.io.Serializable

public class AbleGenericField
extends AbleGenericVariable
implements AbleField

AbleField defines a basic field for use in data sources and inferencing. Fields have a known name or label, a column or index in a sequence of fields that constitute a record, and understand the range and restrictions of its values.

See Also:
  Serialized Form

Field Summary
`protected int` | `column` An index representing this field's position in a record.
`protected int` | `usage` Values representing input, output, or ignore.

Fields inherited from class com.ibm.able.data.AbleTypedVariable
`myDataTypeClass, myDataTypeClassName, myDataTypeName, myInitialParms, myValue`

Fields inherited from class com.ibm.able.data.AbleVariable
`myBoundFlag, myChgSupport, myComment, myContext, myDataType, myGlobalFlag, myId, myName, myPrompt, myReferences, myStaticFlag, myTemplateFlag, myValueInitial`

Constructor Summary
`AbleGenericField(AbleFieldDefinition def)` Construct a Generic field.

Method Summary
`void` | `computeStatistics(java.lang.Object inValue)` Compute statistics as appropriate for the field data type.
`int` | `getColumn()` Get the column index position of this field in a record.
`java.lang.String` | `getDataTypeString()` Get the data type of this field as a string - "continuous" for example.
`AbleTranslateTemplate` | `getInputTranslateTemplate()` No translation is supported for generic fields; null is returned.
`java.util.Map` | `getMap()` Get the Map of all unique values that are possible for this field.
`java.lang.String` | `getName()` Return the field name.
`int` | `getNormalizedSize()` Get the expanded representation of this field.
`double` | `getNumericValue(java.lang.Object inValue)` Get the value of this field as a double.
`AbleTranslateTemplate` | `getOutputTranslateTemplate()` No translation is supported for generic fields; null is returned.
`int` | `getUsage()` Get the usage type of this field - "input" for example.
`java.lang.String` | `getUsageString()` Get the usage type of this field as a string - "input" for example.
`void` | `setColumn(int col)` Set the index position in the record, based on field definition order.
`void` | `setUsage(java.lang.String usage)` Set the usage type of this from a string - "input" for example.

Methods inherited from class com.ibm.able.data.AbleGenericVariable
`arlDclString, armlDclString, getDataTypeClass, getDataTypeClassName, getDataTypeName, getLiteralClass, getStringValue, init, reset, setRawValue, toString, traceString, xmlDclString`

Methods inherited from class com.ibm.able.data.AbleTypedVariable
`asgnEq, clear, cmpEq, cmpGt, cmpGtEq, cmpIs, cmpLt, cmpLtEq, cmpNeq, compDivide, compMinus, compMultiply, compPlus, compUnaryMinus, getBooleanValue, getFuzzyValue, getGenericValue, getNumericValue, getValue, getValueString, replaceValues, setBooleanValue, setFuzzyValue, setGenericValue, setNumericValue, setStringValue, setValue, setValueString`

Methods inherited from class com.ibm.able.data.AbleVariable
`arlCRdString, arlInitializerString, armlCRdString, armlInitializerString, getArlComment, getChgSupport, getComment, getContext, getDataType, getDataTypeAsString, getId, getPrompt, getPromptString, getReferences, getReferent, getReferents, getTemplateString, isBound, isConstant, isGlobal, isLocal, isStatic, isTemplate, notStatic, setChgSupport, setComment, setContext, setId, setInitialValue, setPrompt, setReferences, setStatic, setTemplate, xmlCRdString, xmlCWrString, xmlInitializerString`

Methods inherited from class com.ibm.able.data.AbleLhs
`asgnIs, asgnIs, bitwiseAND, bitwiseNOT, bitwiseOR, bitwiseShiftLeft, bitwiseShiftRight, bitwiseShiftRightZeroFill, bitwiseXOR, compModulo, logicalAND, logicalNOT, logicalOR`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.ibm.able.data.AbleField
`getStringValue`

Field Detail

### usage

    protected int usage

  Values representing input, output, or ignore.

### column

    protected int column

  An index representing this field's position in a record.

Constructor Detail

### AbleGenericField

    public AbleGenericField(AbleFieldDefinition def)

  Construct a Generic field. Must call setColumn to set the position in the record.

Parameters:
  `def` - An AbleFieldDefinition which provides the name and usage for this field.

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `AbleField`
  Return the field name.

  Specified by:
    `getName` in interface `AbleField`
  Overrides:
    `getName` in class `AbleVariable`
  Returns:
    A string, which is the unique name of this variable.

### getInputTranslateTemplate

    public AbleTranslateTemplate getInputTranslateTemplate()

  No translation is supported for generic fields; null is returned.

  Specified by:
    `getInputTranslateTemplate` in interface `AbleField`

### getOutputTranslateTemplate

    public AbleTranslateTemplate getOutputTranslateTemplate()

  No translation is supported for generic fields; null is returned.

  Specified by:
    `getOutputTranslateTemplate` in interface `AbleField`

### getDataTypeString

    public java.lang.String getDataTypeString()

  Description copied from interface: `AbleField`
  Get the data type of this field as a string - "continuous" for example. Data types are listed in `AbleData.DataType(int)`.

  Specified by:
    `getDataTypeString` in interface `AbleField`

### getUsageString

    public java.lang.String getUsageString()

  Description copied from interface: `AbleField`
  Get the usage type of this field as a string - "input" for example. Usage types are listed in `AbleData.UsageType(java.lang.String)`.

  Specified by:
    `getUsageString` in interface `AbleField`

### getUsage

    public int getUsage()

  Description copied from interface: `AbleField`
  Get the usage type of this field - "input" for example. Usage types are listed in `AbleData.UsageType(java.lang.String)`.

  Specified by:
    `getUsage` in interface `AbleField`

### setUsage

    public void setUsage(java.lang.String usage)

  Description copied from interface: `AbleField`
  Set the usage type of this from a string - "input" for example. Usage types are listed in `AbleData.UsageType(java.lang.String)`.

  Specified by:
    `setUsage` in interface `AbleField`

### setColumn

    public void setColumn(int col)

  Description copied from interface: `AbleField`
  Set the index position in the record, based on field definition order.

  Specified by:
    `setColumn` in interface `AbleField`

### getColumn

    public int getColumn()

  Description copied from interface: `AbleField`
  Get the column index position of this field in a record.

  Specified by:
    `getColumn` in interface `AbleField`

### computeStatistics

    public void computeStatistics(java.lang.Object inValue)

  Description copied from interface: `AbleField`
  Compute statistics as appropriate for the field data type. For example, continuous fields compute min/max/mean. Categorical and discrete fields use this to add a new legal value to their dictionary.

  Specified by:
    `computeStatistics` in interface `AbleField`

### getNumericValue

    public double getNumericValue(java.lang.Object inValue)

  Description copied from interface: `AbleField`
  Get the value of this field as a double. Non-numeric fields such as AbleCategoricalField would typically return a numeric index into the dictionary of allowed values. Some implementations might return Double.NaN.

  Specified by:
    `getNumericValue` in interface `AbleField`

### getNormalizedSize

    public int getNormalizedSize()

  Description copied from interface: `AbleField`
  Get the expanded representation of this field. For example, an AbleCategoricalField or AbleDiscreteField would return the number of dictionary entries.

  Specified by:
    `getNormalizedSize` in interface `AbleField`

### getMap

    public java.util.Map getMap()

  Description copied from interface: `AbleField`
  Get the Map of all unique values that are possible for this field. The Map's key should be a string representation of an integer, and the object should be the value itself. Fields which do not have a unique number of values should return null.

  Specified by:
    `getMap` in interface `AbleField`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005